-record(config, {
    host :: binary(),
    port :: integer(),
    user :: gleam@option:option(binary()),
    password :: gleam@option:option(binary()),
    database :: binary(),
    connection_mode :: gmysql:connection_mode(),
    connection_timeout :: gmysql:timeout_(),
    keep_alive :: integer()
}).
